Docs

Add Intake Question

POST /intakeForms/{formId}/questions

POST/intakeForms/{formId}/questions

Adds a question at the end of an intake form. The question text must not be empty. The type (for example Select, Text, Number, Date or Checkbox) cannot be changed afterwards. Only Select and MultiSelect questions take options (Events_AddIntakeQuestionOption). Needs an organization admin token. Returns the new question id.

Path Parameters

FieldTypeRequiredDescription
formIduuidRequired

Request Body

FieldTypeRequiredDescription
labelstringOptional
questionTextstringOptional
typestringOptional
isRequiredbooleanOptional

Response

Type: uuid